/* This program sets the speed for the kaypro. It also sets the uart into
	non-handshaking mode for KERMIT.
*/
main (argc,argv)
int argc;
char **argv;
{
	int i;

	if (argc<2)
		error("no speed specified\n usage: \"speed <rate>\"\n");
	switch (argv[1]) {
		case "110"   : outp(0,2);
		case "300"   : outp(0,5);
		case "600"   : outp(0,6);
		case "1200"  : outp(0,7);
		case "2400"  : outp(0,10);
		case "4800"  : outp(0,12);
		case "9600"  : outp(0,14);
		case "19200" : outp(0,15);
		default      : error("invalid speed\n");
	};
	/*  now send the hand-shaking disabling stuff to the uart  */
	for (i=1 ; i<nbytes ; i++)
		outp(6,*(i+"\0x18\0x4\0x44\0x1\0\0x3\0xc1\0x5\0xea"));
}

